
var hydraExpress = require('hydra-express');
var hydra = hydraExpress.getHydra();

exports.getUser = async (frm, id) => {
  let message = hydra.createUMFMessage({
    to: 'user:[post]/getUser',
    frm: frm,
    bdy: {userid: id}
  });
  let result = await hydra.makeAPIRequest(message);
  return result;
}

exports.getAllUsers = async (frm) => {
  let message = hydra.createUMFMessage({
    to: 'user:[get]/getAllUsers',
    frm: frm,
    bdy: {}
  });
  let result = await hydra.makeAPIRequest(message);
  return result;
}

exports.saveUser = async (frm, user) => {
  if (user.idBlacklist.length > 20){
    user.idBlacklist.length = 20
  }

  let message = hydra.createUMFMessage({
    to: 'user:[post]/saveUser',
    frm: frm,
    bdy: {user: user}
  });
  let result = await hydra.makeAPIRequest(message);
  return result;
}

exports.newUser = async (frm, profile, _id) => {
  let message = hydra.createUMFMessage({
    to: 'user:[post]/newUser',
    frm: frm,
    bdy: {profile: profile, _id: _id}
  });
  let result = await hydra.makeAPIRequest(message);
  return result;
}

exports.importTokens = async (frm, id, refreshToken, accessToken) => {
  let message = hydra.createUMFMessage({
    to: 'user:[post]/importTokens',
    frm: frm,
    bdy: {id: id, refreshToken: refreshToken, accessToken: accessToken}
  });
  let result = await hydra.makeAPIRequest(message);
  return result;
}
